"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TableWrapper = exports.Table = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const Table = ({
  style,
  borderStyle,
  children
}) => {
  const borderLeftWidth = borderStyle?.borderWidth ?? 0;
  const borderBottomWidth = borderLeftWidth;
  const borderColor = borderStyle?.borderColor ?? '#000';
  const renderChildren = () => _react.default.Children.map(children, child => {
    if (! /*#__PURE__*/_react.default.isValidElement(child)) return child;

    // check if we should add the border style | skip known type names
    const elementType = child.type;
    const isScrollView = elementType?.displayName === 'ScrollView' || elementType?.name === 'ScrollView';
    if (borderStyle && !isScrollView) {
      return /*#__PURE__*/_react.default.cloneElement(child, {
        borderStyle,
        ...child.props
      });
    }
    return child;
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: _reactNative.StyleSheet.flatten([styles.table, style, {
      borderLeftWidth,
      borderBottomWidth,
      borderColor
    }]),
    children: renderChildren()
  });
};
exports.Table = Table;
const TableWrapper = ({
  style,
  borderStyle,
  children
}) => {
  const renderChildren = () => _react.default.Children.map(children, child => {
    if (! /*#__PURE__*/_react.default.isValidElement(child)) return child;
    if (borderStyle) {
      return /*#__PURE__*/_react.default.cloneElement(child, {
        borderStyle,
        ...child.props
      });
    }
    return child;
  });
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: _reactNative.StyleSheet.flatten([styles.wrapper, style]),
    children: renderChildren()
  });
};
exports.TableWrapper = TableWrapper;
const styles = _reactNative.StyleSheet.create({
  table: {
    overflow: 'hidden'
  },
  wrapper: {
    flex: 1
  }
});
//# sourceMappingURL=table.js.map