"use strict";

import React from 'react';
import { View, StyleSheet } from 'react-native';
import { jsx as _jsx } from "react/jsx-runtime";
export const Table = ({
  style,
  borderStyle,
  children
}) => {
  const borderLeftWidth = borderStyle?.borderWidth ?? 0;
  const borderBottomWidth = borderLeftWidth;
  const borderColor = borderStyle?.borderColor ?? '#000';
  const renderChildren = () => React.Children.map(children, child => {
    if (! /*#__PURE__*/React.isValidElement(child)) return child;

    // check if we should add the border style | skip known type names
    const elementType = child.type;
    const isScrollView = elementType?.displayName === 'ScrollView' || elementType?.name === 'ScrollView';
    if (borderStyle && !isScrollView) {
      return /*#__PURE__*/React.cloneElement(child, {
        borderStyle,
        ...child.props
      });
    }
    return child;
  });
  return /*#__PURE__*/_jsx(View, {
    style: StyleSheet.flatten([styles.table, style, {
      borderLeftWidth,
      borderBottomWidth,
      borderColor
    }]),
    children: renderChildren()
  });
};
export const TableWrapper = ({
  style,
  borderStyle,
  children
}) => {
  const renderChildren = () => React.Children.map(children, child => {
    if (! /*#__PURE__*/React.isValidElement(child)) return child;
    if (borderStyle) {
      return /*#__PURE__*/React.cloneElement(child, {
        borderStyle,
        ...child.props
      });
    }
    return child;
  });
  return /*#__PURE__*/_jsx(View, {
    style: StyleSheet.flatten([styles.wrapper, style]),
    children: renderChildren()
  });
};
const styles = StyleSheet.create({
  table: {
    overflow: 'hidden'
  },
  wrapper: {
    flex: 1
  }
});
//# sourceMappingURL=table.js.map